Get version history for a policy binding
curl --request GET \
--url https://api.swarmd.ai/relay/v1/policy-bindings/{bindingId}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.swarmd.ai/relay/v1/policy-bindings/{bindingId}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swarmd.ai/relay/v1/policy-bindings/{bindingId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalPages": 123,
"totalElements": 123,
"first": true,
"last": true,
"size": 123,
"content": [
{
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupVersion": "<string>",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sourceAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sinkAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"channel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"priority": 123,
"disabled": true,
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"changes": {
"groupVersion": {
"previousValue": "<string>",
"currentValue": "<string>"
},
"priority": {
"previousValue": 123,
"currentValue": 123
},
"validFrom": {
"previousValue": "2023-11-07T05:31:56Z",
"currentValue": "2023-11-07T05:31:56Z"
},
"validTo": {
"previousValue": "2023-11-07T05:31:56Z",
"currentValue": "2023-11-07T05:31:56Z"
}
}
}
],
"number": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"numberOfElements": 123,
"pageable": {
"offset": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"pageNumber": 123,
"pageSize": 123,
"paged": true,
"unpaged": true
},
"empty": true
}Policy Bindings
Get version history for a policy binding
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | READ | TENANT:READ |
GET
/
relay
/
v1
/
policy-bindings
/
{bindingId}
/
history
Get version history for a policy binding
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Query Parameters
Show child attributes
Show child attributes
⌘I
